petsc-3.13.6 2020-09-29
Report Typos and Errors

# PCPatchSetComputeFunctionInteriorFacets

Set the callback used to compute facet integrals for patch residuals

### Synopsis

    #include "petscpc.h"
    #include "petscmat.h"
    PetscErrorCode PCPatchSetComputeFunctionInteriorFacets(PC pc, PetscErrorCode (*func)(PC, PetscInt, Vec, Vec, IS, PetscInt, const PetscInt *, const PetscInt *, void *), void *ctx)

Logically collective on PC

### Input Parameters

| pc | - The PC
| func | - The callback
| ctx | - The user context

### Calling sequence of func

      func (PC pc,PetscInt point,Vec x,Vec f,IS facetIS,PetscInt n,const PetscInt* dofsArray,const PetscInt* dofsArrayWithAll,void* ctx)

| pc | - The PC
| point | - The point
| x | - The input solution (not used in linear problems)
| f | - The patch residual vector
| facetIS | - An array of the facet numbers
| n | - The size of dofsArray
| dofsArray | - The dofmap for the dofs to be solved for
| dofsArrayWithAll | - The dofmap for all dofs on the patch
| ctx | - The user context

### Notes

The entries of F (the output residual vector) have been set to zero before the call.

### See Also

PCPatchSetComputeOperator(), PCPatchGetComputeOperator(), PCPatchSetDiscretisationInfo(), PCPatchSetComputeFunction()

### Level

advanced

### Location

src/ksp/pc/impls/patch/pcpatch.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages